## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           papirus-icon-theme
Version:        20240501
Release:        %autorelease
Summary:        Free and open source SVG icon theme based on Paper Icon Set

# Some icons are based on
# * Paper Icon Theme, CC-BY-SA-4.0
# * Breeze Plasma Theme, LGPL-3.0-or-later
#   https://invent.kde.org/frameworks/breeze-icons/-/blob/master/COPYING-ICONS
# The rest is GPL-3.0-only; see AUTHORS
License:        GPL-3.0-only AND CC-BY-SA-4.0 AND LGPL-3.0-or-later
URL:            https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Source0:        %url/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make

Obsoletes:      papirus-icon-theme < 20240501-2
Suggests:       papirus-icon-theme-dark = %{?epoch:%{epoch}:}%{version}-%{release}
Suggests:       papirus-icon-theme-light = %{?epoch:%{epoch}:}%{version}-%{release}

%description
Papirus is a free and open source SVG icon theme for Linux, based on Paper
Icon Set with a lot of new icons and a few extras, like Hardcode-Tray support,
KDE colorscheme support, Folder Color support, and others.

This package contains the following variants:

 - Papirus (for Arc / Arc Darker)

%package        dark
Summary:        Papirus dark icon theme for Arc Dark
Requires:       papirus-icon-theme = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      papirus-icon-theme < 20240501-2

%description    dark
Papirus is a free and open source SVG icon theme for Linux, based on Paper
Icon Set with a lot of new icons and a few extras, like Hardcode-Tray support,
KDE colorscheme support, Folder Color support, and others.

This package contains the following variants:

 - Papirus Dark (for Arc Dark)

%package        light
Summary:        Papirus light icon theme for light theme with Breeze color
Requires:       papirus-icon-theme = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      papirus-icon-theme < 20240501-2

%description    light
Papirus is a free and open source SVG icon theme for Linux, based on Paper
Icon Set with a lot of new icons and a few extras, like Hardcode-Tray support,
KDE colorscheme support, Folder Color support, and others.

This package contains the following variants:

 - Papirus Light (light theme with Breeze colors)


%package -n epapirus-icon-theme
Summary:        Papirus icon theme for elementaryOS and Pantheon Desktop
Requires:       papirus-icon-theme = %{?epoch:%{epoch}:}%{version}-%{release}

%description -n epapirus-icon-theme
Papirus is a free and open source SVG icon theme for Linux, based on Paper
Icon Set with a lot of new icons and a few extras, like Hardcode-Tray support,
KDE colorscheme support, Folder Color support, and others.

This package contains the following variants:

 - ePapirus (for elementary OS and Pantheon Desktop)
 - ePapirus-Dark (for elementary OS and Pantheon Desktop)

%prep
%autosetup

%build
# stub for rpmlint

%install
%make_install

export THEMES="ePapirus ePapirus-Dark Papirus Papirus-Dark Papirus-Light"
for t in $THEMES; do
    /bin/touch %{buildroot}/%{_datadir}/icons/$t/icon-theme.cache
done

%post
export THEMES="Papirus Papirus-Dark Papirus-Light"
for t in $THEMES; do
    /bin/touch --no-create %{_datadir}/icons/$t &>/dev/null || :
done

%post -n epapirus-icon-theme
export THEMES="ePapirus ePapirus-Dark"
for t in $THEMES; do
    /bin/touch --no-create %{_datadir}/icons/$t &>/dev/null || :
done

%postun
if [ $1 -eq 0 ] ; then
    export THEMES="Papirus Papirus-Dark Papirus-Light"
    for t in $THEMES; do
        /bin/touch --no-create %{_datadir}/icons/$t &>/dev/null
        /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
    done
fi

%postun -n epapirus-icon-theme
if [ $1 -eq 0 ] ; then
    export THEMES="ePapirus ePapirus-Dark"
    for t in $THEMES; do
        /bin/touch --no-create %{_datadir}/icons/$t &>/dev/null
        /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
    done
fi

%posttrans
export THEMES="Papirus Papirus-Dark Papirus-Light"
for t in $THEMES; do
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
done

%posttrans -n epapirus-icon-theme
export THEMES="ePapirus ePapirus-Dark"
for t in $THEMES; do
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
done

%files
%license LICENSE
%doc AUTHORS README.md
%dir %{_datadir}/icons/Papirus
%{_datadir}/icons/Papirus/*x*
%{_datadir}/icons/Papirus/symbolic
%ghost %{_datadir}/icons/Papirus/icon-theme.cache

%files dark
%license LICENSE
%dir %{_datadir}/icons/Papirus-Dark
%{_datadir}/icons/Papirus-Dark/*x*
%{_datadir}/icons/Papirus-Dark/symbolic
%ghost %{_datadir}/icons/Papirus-Dark/icon-theme.cache

%files light
%license LICENSE
%dir %{_datadir}/icons/Papirus-Light
%{_datadir}/icons/Papirus-Light/*x*
%{_datadir}/icons/Papirus-Light/symbolic
%ghost %{_datadir}/icons/Papirus-Light/icon-theme.cache


%files -n epapirus-icon-theme
%license LICENSE
%dir %{_datadir}/icons/ePapirus-Dark
%dir %{_datadir}/icons/ePapirus
%ghost %{_datadir}/icons/ePapirus-Dark/icon-theme.cache
%ghost %{_datadir}/icons/ePapirus/icon-theme.cache
%{_datadir}/icons/ePapirus-Dark/*x*
%{_datadir}/icons/ePapirus-Dark/symbolic
%{_datadir}/icons/ePapirus/*x*
%{_datadir}/icons/ePapirus/symbolic

%changelog
## START: Generated by rpmautospec
* Sat Jun 01 2024 Robert-André Mauchin <zebob.m@gmail.com> - 20240501-3
- Remove Provides

* Sat Jun 01 2024 Robert-André Mauchin <zebob.m@gmail.com> - 20240501-2
- Fix upgrade paths

* Sun May 26 2024 Robert-André Mauchin <zebob.m@gmail.com> - 20240501-1
- Update to 20240501

* Tue Feb 13 2024 Jonathan Wright <jonathan@almalinux.org> - 20240201-1
- update to 20240201 rhbz#2262331

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20231201-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20231201-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Michel Lind <salimma@fedoraproject.org> - 20231201-2
- Split ePapirus into separate subpackage

* Wed Jan 03 2024 Michel Lind <salimma@fedoraproject.org> - 20231201-1
- Update to 20231201

* Mon Sep 18 2023 Robert-André Mauchin <zebob.m@gmail.com> - 20230901-1
- Update to 20230901

* Tue Aug 29 2023 Michel Lind <salimma@fedoraproject.org> - 20230801-1
- Update to 20230801
- use SPDX license identifiers; add LGPL-3.0-or-later for Breeze icons
- fix rpmlint warning

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230601-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 16 2023 Orion Poplawski <orion@nwra.com> - 20230601-1
- Update to 20230601

* Thu Mar 02 2023 jonathanspw <jonathan@almalinux.org> - 20230301-1
- update to 20230301

* Fri Jan 06 2023 jonathanspw <jonathan@almalinux.org> - 20230104-1
- Update to 20230104 rhbz#2158672

* Fri Jan 06 2023 jonathanspw <jonathan@almalinux.org> - 20221201-2
- Update to 20230104 rhbz#2158672

* Tue Dec 27 2022 Robert-André Mauchin <zebob.m@gmail.com> - 20221201-1
- Update to 20221201

* Sat Nov 26 2022 Jonathan <jonathan@knownhost.com> - 20221101-1
- update to 20221101 rhbz#2139237

* Sun Sep 25 2022 Robert-André Mauchin <zebob.m@gmail.com> - 20220910-1
- Update to 20220910

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220710-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Robert-André Mauchin <zebob.m@gmail.com> - 20220710-1
- Update to 20220710 - Close: rhbz#2105778

* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com> - 20220606-1
- Update to 20220606 Close: rhbz#2050970

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220101-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 09 2022 Robert-André Mauchin <zebob.m@gmail.com> - 20220101-1
- Update to 20220101 Close: rhbz#2036452

* Fri Dec 17 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20211201-1
- Update to 20211201 Close: rhbz#2019292

* Sun Oct 03 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210901-2
- Add missing folder in %%files

* Sun Oct 03 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210901-1
- Update to 20210901 Close: rhbz#1989079

* Sun Jul 25 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210701-1
- Update to 20210701 Close: rhbz#1966807

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20210501-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 24 13:08:31 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210501-1
- Update to 20210501
- Close: rhbz#1955965

* Wed Apr  7 16:37:47 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210401-1
- Update to 20210401
- Close: rhbz#1945751

* Fri Mar  5 09:10:01 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210302-1
- Update to 20210302
- Close: rhbz#1923829

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20210101-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan  8 17:00:44 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20210101-1
- Update to 20210101
- Close: rhbz#1911889

* Fri Dec 04 21:44:34 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20201201-1
- Update to 20201201
- close: rhbz#1903449

* Sun Nov 08 12:20:19 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20201031-1
- Update to 20201031 (#1862732)

* Mon Aug 24 16:48:02 CEST 2020 Harry Chen <harrychen0314@gmail.com> - 20200801-1
- Update to 20200801 (#1862732)

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20200702-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 14 20:52:11 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20200702-1
- Update to 20200702 (#1853395)

* Thu Jun 18 15:31:28 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20200602-1
- Update to 20200602 (#1821029)

* Mon Mar 02 19:59:31 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20200301-1
- Update to 20200301

* Thu Feb 27 02:13:17 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20200201-1
- Update to 20200201

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20200102-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 11 22:28:21 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20200102-1
- Release 20200102 (#1787866)

* Fri Dec 06 00:03:00 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20191101-1
- Release 20191101 (#1767767)

* Fri Oct 11 20:03:51 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20191009-1
- Release 20191009 (#1760661)

* Thu Oct 10 22:56:19 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190919-1
- Release 20190919

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20190708-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 16 19:29:14 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190708-1
- Release 20190708

* Fri Jul 05 21:04:18 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190701-1
- Release 20190701 (#1725696)

* Sun Jun 16 15:25:21 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190615-1
- Release 20190615 (#1720826)

* Thu May 30 15:55:21 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190521-1
- Release 20190521 (#1712816)

* Sat May 04 18:35:45 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190501-1
- Release 20190501 (#1694640)

* Wed Mar 13 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190302-2
- Fix to handle folder to link upgrade

* Mon Mar 11 2019 Robert-André Mauchin <zebob.m@gmail.com> - 20190302-1
- Release 20190302 (#1687463)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20181007-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 07 2018 Robert-André Mauchin <zebob.m@gmail.com> - 20181007-1
- Update to release 20181007

* Tue Oct 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 20180816-1
- Initial release

## END: Generated by rpmautospec
